Bug 516459

Summary: libsane-hpaio should depend on hplip package
Product: [Fedora] Fedora Reporter: Michael Monreal <michael.monreal+bugs>
Component: hplipAssignee: Tim Waugh <twaugh>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: jpopelka, nphilipp, twaugh
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 3.9.8-12.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-08-31 23:30:58 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Michael Monreal 2009-08-09 21:40:50 UTC
Note: I could not find a component for libsane-hpaio so hopefully filing in sane-backends is right...

I just struggled about an hour to get an OfficeJet 5510 working with xsane. Turned out I needed to install the package "hplip" so I think libsane-hpaio should depend on this package.

(hplip-libs was already installed but the hpaio driver did not work until I installed hplip)

Comment 1 Nils Philippsen 2009-08-10 10:36:39 UTC
(In reply to comment #0)
> Note: I could not find a component for libsane-hpaio so hopefully filing in
> sane-backends is right...

Simply use the source package of the package in question, i.e. hplip in this case ;-). Changing component.

Comment 2 Tim Waugh 2009-08-10 10:58:00 UTC
Ideally we need to find which component of hplip is required and see if that can be moved to the hplip-libs package.

Unfortunately I don't have my HP PSC device readily accessible currently so I won't be able to look at this for a week or two.

Comment 3 Tim Waugh 2009-08-25 15:02:32 UTC
New hplip-common sub-package created for common files needed by the printer and scanner drivers:

* device ownership rules
* configuration file
* models database

Comment 4 Fedora Update System 2009-08-25 22:13:46 UTC
hplip-3.9.8-9.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6959

Comment 5 Fedora Update System 2009-08-27 02:11:01 UTC
hplip-3.9.8-10.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6959

Comment 6 Fedora Update System 2009-08-28 21:57:40 UTC
hplip-3.9.8-12.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update hplip'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6959

Comment 7 Fedora Update System 2009-08-31 23:30:12 UTC
hplip-3.9.8-12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.